package com.jdblabs.timestamper.core;

import com.jdbernard.util.SmartConfig;
import java.io.IOException;
import java.net.URI;

/**
 *
 * @author Jonathan Bernard ({@literal jdbernard@gmail.com})
 */
public class TwitterTimelineSource extends TimelineSource {

    private String username;
    private char[] password;

    public TwitterTimelineSource(URI uri) {
        super(uri);
    }

    public Timeline read() throws IOException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public void persist(Timeline t) throws IOException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public boolean isAuthenticated() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public void authenticate() throws AuthenticationException {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
